diff --git a/tests/test_carddef.py b/tests/test_carddef.py
index bd18d660e..068b210c0 100644
--- a/tests/test_carddef.py
+++ b/tests/test_carddef.py
@@ -453,14 +453,13 @@ def test_data_source_custom_view_unknown_filter(pub):
 
     assert [i['text'] for i in CardDef.get_data_source_items('carddef:foo')] == ['Hello']
     assert [i['text'] for i in CardDef.get_data_source_items('carddef:foo:view')] == []
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 2
-        logged_error = pub.loggederror_class.select(order_by='id')[0]
-        assert logged_error.summary == 'Invalid filter "42"'
-        assert logged_error.formdef_id == str(carddef.id)
-        logged_error = pub.loggederror_class.select(order_by='id')[1]
-        assert logged_error.summary == 'Invalid filter "foobar"'
-        assert logged_error.formdef_id == str(carddef.id)
+    assert pub.loggederror_class.count() == 2
+    logged_error = pub.loggederror_class.select(order_by='id')[0]
+    assert logged_error.summary == 'Invalid filter "42"'
+    assert logged_error.formdef_id == str(carddef.id)
+    logged_error = pub.loggederror_class.select(order_by='id')[1]
+    assert logged_error.summary == 'Invalid filter "foobar"'
+    assert logged_error.formdef_id == str(carddef.id)
 
 
 def test_data_source_anonymised_cards(pub):
@@ -600,14 +599,13 @@ def test_data_source_custom_view_digest(pub):
     carddef.store()
     assert [i['text'] for i in CardDef.get_data_source_items('carddef:foo')] == ['', '']
     assert [i['text'] for i in CardDef.get_data_source_items('carddef:foo:view')] == ['', '']
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 2
-        logged_error = pub.loggederror_class.select(order_by='id')[0]
-        assert logged_error.summary == 'Digest (default) not defined'
-        assert logged_error.formdata_id in (str(carddata.id), str(carddata2.id))
-        logged_error = pub.loggederror_class.select(order_by='id')[1]
-        assert logged_error.summary == 'Digest (custom view "view") not defined'
-        assert logged_error.formdata_id in (str(carddata.id), str(carddata2.id))
+    assert pub.loggederror_class.count() == 2
+    logged_error = pub.loggederror_class.select(order_by='id')[0]
+    assert logged_error.summary == 'Digest (default) not defined'
+    assert logged_error.formdata_id in (str(carddata.id), str(carddata2.id))
+    logged_error = pub.loggederror_class.select(order_by='id')[1]
+    assert logged_error.summary == 'Digest (custom view "view") not defined'
+    assert logged_error.formdata_id in (str(carddata.id), str(carddata2.id))
     assert CardDef.get_data_source_items('carddef:foo', get_by_text='') == []
     assert CardDef.get_data_source_items('carddef:foo:view', get_by_text='') == []
 
diff --git a/tests/test_datasource.py b/tests/test_datasource.py
index 99f02ecbd..22329c4e6 100644
--- a/tests/test_datasource.py
+++ b/tests/test_datasource.py
@@ -139,21 +139,19 @@ def test_python_datasource_errors(pub, error_email, http_requests, emails, caplo
     datasource = {'type': 'formula', 'value': 'foobar', 'notify_on_errors': True, 'record_on_errors': True}
     assert data_sources.get_items(datasource) == []
     assert 'Failed to eval() Python data source' in emails.get_latest('subject')
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 1
-        logged_error = pub.loggederror_class.select()[0]
-        assert logged_error.workflow_id is None
-        assert logged_error.summary == "[DATASOURCE] Failed to eval() Python data source ('foobar')"
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
+    assert logged_error.workflow_id is None
+    assert logged_error.summary == "[DATASOURCE] Failed to eval() Python data source ('foobar')"
 
     # expression not iterable
     datasource = {'type': 'formula', 'value': '2', 'notify_on_errors': True, 'record_on_errors': True}
     assert data_sources.get_items(datasource) == []
     assert 'gave a non-iterable result' in emails.get_latest('subject')
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 2
-        logged_error = pub.loggederror_class.select(order_by='id')[1]
-        assert logged_error.workflow_id is None
-        assert logged_error.summary == "[DATASOURCE] Python data source ('2') gave a non-iterable result"
+    assert pub.loggederror_class.count() == 2
+    logged_error = pub.loggederror_class.select(order_by='id')[1]
+    assert logged_error.workflow_id is None
+    assert logged_error.summary == "[DATASOURCE] Python data source ('2') gave a non-iterable result"
 
     datasource = {
         'type': 'formula',
@@ -161,13 +159,12 @@ def test_python_datasource_errors(pub, error_email, http_requests, emails, caplo
         'record_on_errors': True,
     }
     assert data_sources.get_items(datasource) == []
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 3
-        logged_error = pub.loggederror_class.select(order_by='id')[2]
-        assert logged_error.workflow_id is None
-        assert logged_error.summary == (
-            '[DATASOURCE] Python data source (\'[{"mairie-a-rdv", "Mairie A"}, {"mairie-b-rdv", "Mairie B"}]\') gave a non usable result'
-        )
+    assert pub.loggederror_class.count() == 3
+    logged_error = pub.loggederror_class.select(order_by='id')[2]
+    assert logged_error.workflow_id is None
+    assert logged_error.summary == (
+        '[DATASOURCE] Python data source (\'[{"mairie-a-rdv", "Mairie A"}, {"mairie-b-rdv", "Mairie B"}]\') gave a non usable result'
+    )
 
     # list of dictionaries but some are missing a text key
     datasource = {
@@ -176,13 +173,12 @@ def test_python_datasource_errors(pub, error_email, http_requests, emails, caplo
         'record_on_errors': True,
     }
     assert data_sources.get_items(datasource) == []
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 4
-        logged_error = pub.loggederror_class.select(order_by='id')[2]
-        assert logged_error.workflow_id is None
-        assert logged_error.summary == (
-            '[DATASOURCE] Python data source (\'[{"mairie-a-rdv", "Mairie A"}, {"mairie-b-rdv", "Mairie B"}]\') gave a non usable result'
-        )
+    assert pub.loggederror_class.count() == 4
+    logged_error = pub.loggederror_class.select(order_by='id')[2]
+    assert logged_error.workflow_id is None
+    assert logged_error.summary == (
+        '[DATASOURCE] Python data source (\'[{"mairie-a-rdv", "Mairie A"}, {"mairie-b-rdv", "Mairie B"}]\') gave a non usable result'
+    )
 
     if not pub.site_options.has_section('options'):
         pub.site_options.add_section('options')
@@ -191,8 +187,7 @@ def test_python_datasource_errors(pub, error_email, http_requests, emails, caplo
         pub.site_options.write(fd)
 
     # running with disabled python expressions
-    if pub.is_using_postgresql():
-        pub.loggederror_class.wipe()
+    pub.loggederror_class.wipe()
     datasource = {
         'type': 'formula',
         'value': repr(['foo', 'bar']),
@@ -203,11 +198,10 @@ def test_python_datasource_errors(pub, error_email, http_requests, emails, caplo
     assert data_sources.get_items(datasource) == []
     assert emails.count() == 1  # notified even with notify_on_errors set to False
     assert 'Unauthorized Python Usage' in emails.get_latest('subject')
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 1
-        logged_error = pub.loggederror_class.select(order_by='latest_occurence_timestamp')[-1]
-        assert logged_error.workflow_id is None
-        assert logged_error.summary == 'Unauthorized Python Usage'
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select(order_by='latest_occurence_timestamp')[-1]
+    assert logged_error.workflow_id is None
+    assert logged_error.summary == 'Unauthorized Python Usage'
 
 
 def test_python_datasource_with_evalutils(pub):
@@ -450,14 +444,13 @@ def test_json_datasource_bad_url(pub, error_email, http_requests, emails):
     assert 'error in HTTP request to http://remote.example.net/404 (status: 404)' in emails.get_latest(
         'subject'
     )
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 1
-        logged_error = pub.loggederror_class.select()[0]
-        assert logged_error.workflow_id is None
-        assert (
-            logged_error.summary
-            == "[DATASOURCE] Error loading JSON data source (error in HTTP request to http://remote.example.net/404 (status: 404))"
-        )
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
+    assert logged_error.workflow_id is None
+    assert (
+        logged_error.summary
+        == "[DATASOURCE] Error loading JSON data source (error in HTTP request to http://remote.example.net/404 (status: 404))"
+    )
 
     datasource = {
         'type': 'json',
@@ -468,14 +461,13 @@ def test_json_datasource_bad_url(pub, error_email, http_requests, emails):
     assert data_sources.get_items(datasource) == []
     assert emails.count() == 2
     assert 'Error reading JSON data source' in emails.get_latest('subject')
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 2
-        logged_error = pub.loggederror_class.select(order_by='id')[1]
-        assert logged_error.workflow_id is None
-        assert (
-            logged_error.summary
-            == "[DATASOURCE] Error reading JSON data source output (Expecting value: line 1 column 1 (char 0))"
-        )
+    assert pub.loggederror_class.count() == 2
+    logged_error = pub.loggederror_class.select(order_by='id')[1]
+    assert logged_error.workflow_id is None
+    assert (
+        logged_error.summary
+        == "[DATASOURCE] Error reading JSON data source output (Expecting value: line 1 column 1 (char 0))"
+    )
 
     datasource = {
         'type': 'json',
@@ -485,11 +477,10 @@ def test_json_datasource_bad_url(pub, error_email, http_requests, emails):
     }
     assert data_sources.get_items(datasource) == []
     assert 'Error loading JSON data source' in emails.get_latest('subject')
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 3
-        logged_error = pub.loggederror_class.select(order_by='id')[2]
-        assert logged_error.workflow_id is None
-        assert logged_error.summary == "[DATASOURCE] Error loading JSON data source (error)"
+    assert pub.loggederror_class.count() == 3
+    logged_error = pub.loggederror_class.select(order_by='id')[2]
+    assert logged_error.workflow_id is None
+    assert logged_error.summary == "[DATASOURCE] Error loading JSON data source (error)"
 
     datasource = {
         'type': 'json',
@@ -499,45 +490,40 @@ def test_json_datasource_bad_url(pub, error_email, http_requests, emails):
     }
     assert data_sources.get_items(datasource) == []
     assert 'Error reading JSON data source output (err 1)' in emails.get_latest('subject')
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 4
-        logged_error = pub.loggederror_class.select(order_by='id')[3]
-        assert logged_error.workflow_id is None
-        assert logged_error.summary == "[DATASOURCE] Error reading JSON data source output (err 1)"
+    assert pub.loggederror_class.count() == 4
+    logged_error = pub.loggederror_class.select(order_by='id')[3]
+    assert logged_error.workflow_id is None
+    assert logged_error.summary == "[DATASOURCE] Error reading JSON data source output (err 1)"
 
 
 def test_json_datasource_bad_url_scheme(pub, error_email, emails):
     datasource = {'type': 'json', 'value': '', 'notify_on_errors': True, 'record_on_errors': True}
     assert data_sources.get_items(datasource) == []
     assert emails.count() == 0
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 0
+    assert pub.loggederror_class.count() == 0
 
     datasource = {'type': 'json', 'value': 'foo://bar', 'notify_on_errors': True, 'record_on_errors': True}
     assert data_sources.get_items(datasource) == []
     assert 'Error loading JSON data source' in emails.get_latest('subject')
     assert 'invalid scheme in URL' in emails.get_latest('subject')
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 1
-        logged_error = pub.loggederror_class.select()[0]
-        assert logged_error.workflow_id is None
-        assert (
-            logged_error.summary
-            == "[DATASOURCE] Error loading JSON data source (invalid scheme in URL foo://bar)"
-        )
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
+    assert logged_error.workflow_id is None
+    assert (
+        logged_error.summary
+        == "[DATASOURCE] Error loading JSON data source (invalid scheme in URL foo://bar)"
+    )
 
     datasource = {'type': 'json', 'value': '/bla/blo', 'notify_on_errors': True, 'record_on_errors': True}
     assert data_sources.get_items(datasource) == []
     assert 'Error loading JSON data source' in emails.get_latest('subject')
     assert 'invalid scheme in URL' in emails.get_latest('subject')
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 2
-        logged_error = pub.loggederror_class.select(order_by='id')[1]
-        assert logged_error.workflow_id is None
-        assert (
-            logged_error.summary
-            == "[DATASOURCE] Error loading JSON data source (invalid scheme in URL /bla/blo)"
-        )
+    assert pub.loggederror_class.count() == 2
+    logged_error = pub.loggederror_class.select(order_by='id')[1]
+    assert logged_error.workflow_id is None
+    assert (
+        logged_error.summary == "[DATASOURCE] Error loading JSON data source (invalid scheme in URL /bla/blo)"
+    )
 
 
 @pytest.mark.parametrize('notify', [True, False])
@@ -561,13 +547,12 @@ def test_json_datasource_bad_qs_data(pub, error_email, emails, notify, record):
         assert message in emails.get_latest('subject')
     else:
         assert emails.count() == 0
-    if pub.is_using_postgresql():
-        if record:
-            assert pub.loggederror_class.count() == 1
-            logged_error = pub.loggederror_class.select(order_by='id')[0]
-            assert logged_error.summary == message
-        else:
-            assert pub.loggederror_class.count() == 0
+    if record:
+        assert pub.loggederror_class.count() == 1
+        logged_error = pub.loggederror_class.select(order_by='id')[0]
+        assert logged_error.summary == message
+    else:
+        assert pub.loggederror_class.count() == 0
 
 
 def test_geojson_datasource(pub, requests_pub, http_requests):
@@ -896,14 +881,13 @@ def test_geojson_datasource_bad_url(pub, http_requests, error_email, emails):
     assert data_sources.get_items(datasource) == []
     assert 'Error loading JSON data source' in emails.get_latest('subject')
     assert 'status: 404' in emails.get_latest('subject')
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 1
-        logged_error = pub.loggederror_class.select()[0]
-        assert logged_error.workflow_id is None
-        assert (
-            logged_error.summary
-            == "[DATASOURCE] Error loading JSON data source (error in HTTP request to http://remote.example.net/404 (status: 404))"
-        )
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
+    assert logged_error.workflow_id is None
+    assert (
+        logged_error.summary
+        == "[DATASOURCE] Error loading JSON data source (error in HTTP request to http://remote.example.net/404 (status: 404))"
+    )
 
     datasource = {
         'type': 'geojson',
@@ -914,14 +898,13 @@ def test_geojson_datasource_bad_url(pub, http_requests, error_email, emails):
     assert data_sources.get_items(datasource) == []
     assert 'Error reading JSON data source output' in emails.get_latest('subject')
     assert 'Expecting value:' in emails.get_latest('subject')
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 2
-        logged_error = pub.loggederror_class.select(order_by='id')[1]
-        assert logged_error.workflow_id is None
-        assert (
-            logged_error.summary
-            == "[DATASOURCE] Error reading JSON data source output (Expecting value: line 1 column 1 (char 0))"
-        )
+    assert pub.loggederror_class.count() == 2
+    logged_error = pub.loggederror_class.select(order_by='id')[1]
+    assert logged_error.workflow_id is None
+    assert (
+        logged_error.summary
+        == "[DATASOURCE] Error reading JSON data source output (Expecting value: line 1 column 1 (char 0))"
+    )
 
     datasource = {
         'type': 'geojson',
@@ -932,11 +915,10 @@ def test_geojson_datasource_bad_url(pub, http_requests, error_email, emails):
     assert data_sources.get_items(datasource) == []
     assert 'Error loading JSON data source' in emails.get_latest('subject')
     assert 'error' in emails.get_latest('subject')
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 3
-        logged_error = pub.loggederror_class.select(order_by='id')[2]
-        assert logged_error.workflow_id is None
-        assert logged_error.summary == "[DATASOURCE] Error loading JSON data source (error)"
+    assert pub.loggederror_class.count() == 3
+    logged_error = pub.loggederror_class.select(order_by='id')[2]
+    assert logged_error.workflow_id is None
+    assert logged_error.summary == "[DATASOURCE] Error loading JSON data source (error)"
 
     datasource = {
         'type': 'geojson',
@@ -946,11 +928,10 @@ def test_geojson_datasource_bad_url(pub, http_requests, error_email, emails):
     }
     assert data_sources.get_items(datasource) == []
     assert 'Error reading JSON data source output (err 1)' in emails.get_latest('subject')
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 4
-        logged_error = pub.loggederror_class.select(order_by='id')[3]
-        assert logged_error.workflow_id is None
-        assert logged_error.summary == "[DATASOURCE] Error reading JSON data source output (err 1)"
+    assert pub.loggederror_class.count() == 4
+    logged_error = pub.loggederror_class.select(order_by='id')[3]
+    assert logged_error.workflow_id is None
+    assert logged_error.summary == "[DATASOURCE] Error reading JSON data source output (err 1)"
 
 
 def test_geojson_datasource_bad_url_scheme(pub, error_email, emails):
@@ -962,27 +943,24 @@ def test_geojson_datasource_bad_url_scheme(pub, error_email, emails):
     assert data_sources.get_items(datasource) == []
     assert 'Error loading JSON data source' in emails.get_latest('subject')
     assert 'invalid scheme in URL' in emails.get_latest('subject')
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 1
-        logged_error = pub.loggederror_class.select()[0]
-        assert logged_error.workflow_id is None
-        assert (
-            logged_error.summary
-            == "[DATASOURCE] Error loading JSON data source (invalid scheme in URL foo://bar)"
-        )
+    assert pub.loggederror_class.count() == 1
+    logged_error = pub.loggederror_class.select()[0]
+    assert logged_error.workflow_id is None
+    assert (
+        logged_error.summary
+        == "[DATASOURCE] Error loading JSON data source (invalid scheme in URL foo://bar)"
+    )
 
     datasource = {'type': 'geojson', 'value': '/bla/blo', 'notify_on_errors': True, 'record_on_errors': True}
     assert data_sources.get_items(datasource) == []
     assert 'Error loading JSON data source' in emails.get_latest('subject')
     assert 'invalid scheme in URL' in emails.get_latest('subject')
-    if pub.is_using_postgresql():
-        assert pub.loggederror_class.count() == 2
-        logged_error = pub.loggederror_class.select(order_by='id')[1]
-        assert logged_error.workflow_id is None
-        assert (
-            logged_error.summary
-            == "[DATASOURCE] Error loading JSON data source (invalid scheme in URL /bla/blo)"
-        )
+    assert pub.loggederror_class.count() == 2
+    logged_error = pub.loggederror_class.select(order_by='id')[1]
+    assert logged_error.workflow_id is None
+    assert (
+        logged_error.summary == "[DATASOURCE] Error loading JSON data source (invalid scheme in URL /bla/blo)"
+    )
 
 
 def test_item_field_named_python_datasource(requests_pub):
diff --git a/tests/test_fc_auth.py b/tests/test_fc_auth.py
index b5e2db8f6..7de756e4c 100644
--- a/tests/test_fc_auth.py
+++ b/tests/test_fc_auth.py
@@ -193,8 +193,7 @@ def test_fc_login_page(caplog):
             }
         )
     )
-    if pub.is_using_postgresql():
-        assert 'user did not authorize login' in pub.loggederror_class.select(order_by='id')[-1].summary
+    assert 'user did not authorize login' in pub.loggederror_class.select(order_by='id')[-1].summary
     resp = app.get(
         '/ident/fc/callback?%s'
         % urllib.parse.urlencode(
@@ -204,8 +203,7 @@ def test_fc_login_page(caplog):
             }
         )
     )
-    if pub.is_using_postgresql():
-        assert 'whatever' in pub.loggederror_class.select(order_by='id')[-1].summary
+    assert 'whatever' in pub.loggederror_class.select(order_by='id')[-1].summary
 
     # Login existing user
     def logme(login_url):
